
Core - Task # 54953

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User I want FAL to be performant

Status: Accepted Priority: Should have
Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2014-01-13 Assigned To:
Updated: 2015-01-18 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus: On Location Sprint
Subject: FrontendContentAdapterService performs same actions several times
Description

the FrontendContentAdapterService processes the same record again and again, for each ContentElement it is passed, too.
Create a local cache.

Related issues:
blocks Core - Bug # 56209: Section Navigation: empty sectionIndex_uid Resolved 2014-02-22

Associated revisions
Revision 3adf7835 - 2014-01-15 13:55 - Steffen Ritter

[TASK] FrontendContentAdapterService processes record repeatedly

The FrontendContentAdapterService rewrites records so legacy
TypoScript is able to work on the files to. To do so it queries
the objects regarding the relations and fills the properties of
the record new line separated as known from pre-6.x records.

This change adds a runtime cache, so already processed records
of are not processed again, if the next cObject for the same
record is started.

Resolves: #54953
Releases: 6.2, 6.1
Change-Id: I1f632f175075c9d85079ea83e343e35867a1fcca
Reviewed-on: https://review.typo3.org/26786
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

Revision fe7e00da - 2014-02-23 23:51 - Markus Klein

Revert "[TASK] FrontendContentAdapterService processes record repeatedly"

This reverts commit 3adf78359015401648fcec4befe70e9bd0b7a2ea
This patch breaks section menus as it introduces invalid caching.
The original patch has not yet been backported.

Resolves: #56209
Resolves: #54953
Releases: 6.2
Change-Id: Ia3fc8718ed3907913a5538eee102260425f2cf16
Reviewed-on: https://review.typo3.org/27788
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-01-13 16:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26786

#2 - 2014-01-14 11:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26786

#3 - 2014-01-14 11:18 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26786

#4 - 2014-01-15 14:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3adf78359015401648fcec4befe70e9bd0b7a2ea.

#5 - 2014-01-15 16:36 - Steffen Ritter
- % Done changed from 100 to 90

#6 - 2014-02-22 11:34 - Markus Klein

Causes regression. See #56209

#7 - 2014-02-22 12:17 - Gerrit Code Review
- Status changed from Resolved to Under Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27788

#8 - 2014-02-22 12:19 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27788

#9 - 2014-02-23 23:47 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27788

#10 - 2014-02-23 23:53 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27805

#11 - 2014-02-24 00:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:fe7e00da232e8cd9abb5dc4027f416e46ad0b866.

#12 - 2014-03-03 18:13 - Ernesto Baschny
- Status changed from Resolved to Accepted
- % Done changed from 100 to 50

This was reverted in https://review.typo3.org/#/c/27788/ due to regressions (#56209).

New review process started here: https://review.typo3.org/#/c/27805/.

Read Markus comments before working on it.

#13 - 2015-01-18 22:18 - Mathias Schreiber
- Assigned To deleted (Steffen Ritter)
- Sprint Focus set to On Location Sprint
